Boomi API Control Plane REST API - ApprovalRequests
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Decline approval request
Decline an approval request.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/json
| comment required | string <= 1000 characters Comment to include with the approval decision. |
Responses
Request samples
- Payload
{- "comment": "string"
}Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Approve approval request
Approve an approval request.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List approval requests
For debugging only! For global admins, this will return all approval requests, no matter their status. For other users, it will only return approval requests by AND for their organization.
Authorizations:
query Parameters
| createdByOrganization | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| resolvingOrganization | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| status | string Enum: "APPROVED" "PENDING" "DECLINED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApprovalRequestDTO) List of ApprovalRequestDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "status": "APPROVED",
- "createdAt": "2019-08-24T14:15:22Z",
- "resolvedAt": "2019-08-24T14:15:22Z",
- "subscription": "da7489c5-d730-47b7-9958-07300ef9d3d8",
- "createdByUser": "45099284-95e6-478b-9433-5056f5aca1d1",
- "createdByOrganization": "9db5cfc7-8d1b-48cf-8a93-527afdc7ed1c",
- "resolvingOrganization": "50e914ae-948f-4c6c-b91c-ec418bb3e606",
- "resolvedByUser": "c1825496-f58e-460f-ac58-e5fbfcacafb7",
- "comment": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get approval request
For debugging only! Returns a single approval request. If you are not global admin, only requests by AND for your organization are accessible.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| comment required | string Resolution comment. |
| createdAt required | string <date-time> Timestamp when the approval request was created. |
| createdByOrganization required | string <uuid> Requester's organization UUID. |
| createdByUser required | string <uuid> Requesting user UUID. |
| id required | string <uuid> System-assigned UUID of the approval request. |
| resolvingOrganization required | string <uuid> Approving organization UUID. |
| status required | string Enum: "APPROVED" "PENDING" "DECLINED" PENDING, APPROVED, or DECLINED. |
| subscription required | string <uuid> Subscription UUID. |
| resolvedAt | string <date-time> When resolved (null if pending). |
| resolvedByUser | string <uuid> Resolving user UUID (null if pending). |
Response samples
- 200
- default
{- "status": "APPROVED",
- "createdAt": "2019-08-24T14:15:22Z",
- "resolvedAt": "2019-08-24T14:15:22Z",
- "subscription": "da7489c5-d730-47b7-9958-07300ef9d3d8",
- "createdByUser": "45099284-95e6-478b-9433-5056f5aca1d1",
- "createdByOrganization": "9db5cfc7-8d1b-48cf-8a93-527afdc7ed1c",
- "resolvingOrganization": "50e914ae-948f-4c6c-b91c-ec418bb3e606",
- "resolvedByUser": "c1825496-f58e-460f-ac58-e5fbfcacafb7",
- "comment": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}List pending approval requests
Get all pending approval requests for a specific organization or all organizations. If you are not a global admin, this endpoint will always return pending approval requests for your organization.
Authorizations:
query Parameters
| organization | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (PendingApprovalRequestDTO) List of PendingApprovalRequestDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "createdAt": "2019-08-24T14:15:22Z",
- "userDisplayName": "string",
- "userEmail": "string",
- "organizationDisplayName": "string",
- "applicationDisplayName": "string",
- "apiProduct": "d0a4aece-50a8-43dc-aa34-95931d01c613",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}